#/bin/bash

# Script permettant de piloter Jarvis en mode autonome.
# $1: Commandes: status, start, stop, vol, mic, msg, update
# $2: Paramètres complémentaire ex: 100 afin de régler le volume a 100%

USER="pi" #Nom de l'utilisateur
IP=192.168.86.13 #@IP de la machine contenant Jarvis
JFOLDER="/home/pi/jarvis" #Répertoire d'installation de Jarvis
IDSOUNDCARD=0 #ID de la carte son
IDMICCARD=1 # ID de la carte pour le micro

if [ "$1" = "status" ]; then
	ssh $USER@$IP ps -ef | grep -i jarvis.sh | grep -v grep | wc -l
elif [ "$1" = "start" ]; then
	if [ $(ssh $USER@$IP ps -ef | grep -i jarvis.sh | grep -v grep | wc -l) -lt 1 ]; then
		ssh $USER@$IP $JFOLDER/jarvis.sh -b
	fi
elif [ "$1" = "stop" ]; then
	ssh $USER@$IP sudo $JFOLDER/jarvis-stop.sh
elif [ "$1" = "vol" ]; then
	ssh $USER@$IP sudo amixer -c $IDSOUNDCARD set PCM "$2"%
elif [ "$1" = "mic" ]; then
	ssh $USER@$IP sudo amixer -c $IDMICCARD set Mic "$2"%
elif [ "$1" = "msg" ]; then
	ssh $USER@$IP $JFOLDER/jarvis.sh -s "$2"
elif [ "$1" = "update" ]; then
	ssh $USER@$IP $JFOLDER/jarvis.sh -u
fi